INTERFACE
SUBROUTINE EJGNRGGIAD(KNUMB,KSTGLO,PVARGP,&
 & PVORT0,PDIVT0,PTT0,PQT0,PSPT0) 
USE PARKIND1 , ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG ,NPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KNUMB
INTEGER(KIND=JPIM),INTENT(IN) :: KSTGLO
REAL(KIND=JPRB) ,INTENT(IN) :: PVARGP(NPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVORT0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIVT0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PTT0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PQT0(NPROMA,NFLEVG)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPT0(NPROMA)
END SUBROUTINE EJGNRGGIAD
END INTERFACE
